﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.MonteCarloTreeSearch.Base
{
    public class TreeInfos
    {
        public TreeInfos()
        {
            
        }
        public TreeInfos(int totalNodes, int unexpandedNodes, int expandedNodes, int leaveNodes, int deepestLevel)
        {
            TotalNodes = totalNodes;
            UnexpandedNodes = unexpandedNodes;
            ExpandedNodes = expandedNodes;
            LeaveNodes = leaveNodes;
            DeepestLevel = deepestLevel;
        }

        public int TotalNodes { get; set; }
        public int UnexpandedNodes { get; set; }
        public int ExpandedNodes { get; set; }
        public int LeaveNodes { get; set; }
        public int DeepestLevel { get; set; }
    }
}
